%define real_version %{version}gif

Summary:  A graphics library for fast image creation
Name: libgd
Version: 2.0.26
Release: 2tr
License: GPL
URL: http://www.boutell.com/gd/
Source:  http://downloads.rhyme.com.au/gd/gd-%{real_version}.tar.gz
Group: Trustix Official
Provides: libgd.so
Requires: libjpeg, libpng, zlib, libfreetype
BuildRequires: libjpeg-devel, libpng-devel, zlib-devel, libfreetype-devel
Conflicts: gd
Buildroot: %{_tmppath}/%{name}-root

%description
gd is a graphics library. It allows your code to quickly draw images
complete with lines, arcs, text, multiple colors, cut and paste from
other images, and flood fills, and write out the result as a PNG or
JPEG file. This is particularly useful in World Wide Web applications,
where PNG and JPEG are two of the formats accepted for inline images
by most browsers.
 
This package contains just the libraries. 


%package devel
Summary: Development files for the GD library
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files and a static library needed for 
developing GD based programs.


%package -n gd-utils
Summary: Sample programms using the GD library
Group: Trustix Official
Requires: %{name} >= %{version}-%{release}

%description -n gd-utils
This package contains sample programs using the GD library.


%prep
%setup -q -n gd-%{real_version}
#%patch -p1

%build
#aclocal && autoconf && automake
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS -lz -lm" \
%configure --disable-rpath \
           --without-x
make 

%install
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%{_libdir}/libgd.so.*


%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/libgd.a
%{_libdir}/libgd.la
%{_libdir}/libgd.so


%files -n gd-utils
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Fri Sep 24 2004 Syed Shabir <syedshabir at comodo dot com> 2.0.26-2tr
- New upstream

* Mon Aug  9 2004 Oystein Viggen <oysteivi at trustix dot com> 2.0.22-2tr
- Rebuild for Enterprise Server 2

* Mon Apr 19 2004 Goetz Bock <gbo at all-connect dot net> 2.0.22-1bg
- new upstream: 2.0.22 and 2.0.21gif_040120
- merged this versiones
- don't link with the x libraries

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Sat Oct 25 2003 Goetz Bock <bg at tawie dot org> 2.0.15-3bg
- switched to inofficial version with gif support
- this needs more auto tools

* Sun Oct 12 2003 Goetz Bock <bg at tawie dot org> 2.0.15-2bg
- added libfreetype support

* Sat Oct 11 2003 Goetz Bock <bg at tawie dot org> 2.0.15-1bg
- new upstream: 2.0.15
- removed freetype
- build for Cloud (Tawie 2.0) - Contrib

* Wed Apr 10 2002 Goetz Bock <bock at blacknet dot de> 2.0.1-0bn
- initial build for Trustix BlackNet Edition
